=== debian/control ===
Source: ros-rolling-test-bond
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-bond, ros-rolling-bondcpp, ros-rolling-builtin-interfaces, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, uuid-dev, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/test_bond
Standards-Version: 3.9.2

Package: ros-rolling-test-bond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Contains tests for [[bond]], including tests for [[bondcpp]].
