## ros-rolling-test-bond 4.0.0

=== debian/changelog ===
ros-rolling-test-bond (4.0.0-3jammy) jammy; urgency=high

  * Bond cleanups (#87 <https://github.com/ros/bond_core/issues/87>)
  * Modernize rosidl_get_typesupport for Humble+ (#85 <https://github.com/ros/bond_core/issues/85>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 01 Sep 2022 07:00:00 -0000

ros-rolling-test-bond (3.0.2-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 01 Apr 2022 07:00:00 -0000

ros-rolling-test-bond (3.0.1-3jammy) jammy; urgency=high

  * Add build dependencies on pkg-config.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-rolling-test-bond (3.0.0-3jammy) jammy; urgency=high

  * [Fixing CI] using chrono literals for durations from rclcpp API update (#69 <https://github.com/ros/bond_core/issues/69>)
  * Contributors: Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 Jan 2021 08:00:00 -0000

ros-rolling-test-bond (2.0.0-3jammy) jammy; urgency=high

  * Lifecycle support 2 (#67 <https://github.com/ros/bond_core/issues/67>)
  * find uuid correctly on ubuntu and osx (#55 <https://github.com/ros/bond_core/issues/55>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas, Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Nov 2020 08:00:00 -0000

ros-rolling-test-bond (1.8.3-3jammy) jammy; urgency=high

  * Fix build issue on Windows (#38 <https://github.com/ros/bond_core/issues/38>)
    * Fix build issue on Windows
    * indent for better readability
  * Contributors: Johnson Shih

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-rolling-test-bond (1.8.2-3jammy) jammy; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 07:00:00 -0000

ros-rolling-test-bond (1.8.1-3jammy) jammy; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-rolling-test-bond (1.8.0-3jammy) jammy; urgency=high

  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Python3 compatibility (#24 <https://github.com/ros/bond_core/issues/24>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-rolling-test-bond (1.7.19-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-rolling-test-bond (1.7.18-3jammy) jammy; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-rolling-test-bond (1.7.17-3jammy) jammy; urgency=high

  * update maintainer
  * Made code a bit more readable #12 <https://github.com/ros/bond_core/pull/12>
  * Contributors: Esteve Fernandez, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 07:00:00 -0000

ros-rolling-test-bond (1.7.16-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-rolling-test-bond (1.7.15-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 07:00:00 -0000

ros-rolling-test-bond (1.7.14-3jammy) jammy; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 07:00:00 -0000

ros-rolling-test-bond (1.7.13-3jammy) jammy; urgency=high

  * update check for CATKIN_ENABLE_TESTING to work with isolated built
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-rolling-test-bond (1.7.12-3jammy) jammy; urgency=high

  * fix dependency on exported targets if the variable is empty for the test package
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-rolling-test-bond (1.7.11-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-rolling-test-bond (1.7.10-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-rolling-test-bond (1.7.9-3jammy) jammy; urgency=high

  * fix wrong import of bondpy
  * increase timeout for test
  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 08:00:00 -0000

ros-rolling-test-bond (1.7.8-3jammy) jammy; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-rolling-test-bond (1.7.7-3jammy) jammy; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-rolling-test-bond (1.7.6-3jammy) jammy; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-rolling-test-bond (1.7.5-3jammy) jammy; urgency=high

  * clean up package.xml files

